Subject: Re: having trouble mounting Win32 drives to Cygwin paths
From: Bob McGowan <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 02 Dec 1999 12:18:14 -0800

Earnie Boyd wrote:
> 
> --- Scott A Sumner <[email-masked]> wrote:
> > I just installed Cygwin 1.0 from the CD and I'm having trouble mounting
> > Win32 drives to
> > Cygwin paths.
> >
> > Following the "How can I access other drives?" topic in the faq, I do
> > this:
> >
> >         bash-2.03$ mkdir /c
> >         bash-2.03$ mount c:/ /c
> 
>           bash-2.03$ mount 'c:\' /c
> 
> The first parameter to mount must be in DOS notation.

Earnie, I don't understand.  I have done this (many times) using the
forward slash.  I believe the documentation also says you can do it this
way (however, I have not verified this yet).

The following is copied from a bash session in a DOS box window:

[ramjr]$ mount
Device              Directory           Type         Flags
c:\usr\bob          /home/bob           user         binmode
C:\Cygwin           /                   system       binmode
[ramjr]$ mkdir -p /drv/d
[ramjr]$ mount -b d:/ /drv/d
[ramjr]$ mount
Device              Directory           Type         Flags
c:\usr\bob          /home/bob           user         binmode
C:\Cygwin           /                   system       binmode
d:                  /drv/d              user         binmode
[ramjr]$ ls /drv/d
RECYCLED
[ramjr]$ ls //d
RECYCLED
[ramjr]$

I was curious about the "mount" output listing just "d:" for the Device
column, so I unmounted it and did the following:

[ramjr]$ ls //d
RECYCLED
[ramjr]$ mkdir //d/tst
[ramjr]$ ls //d
RECYCLED  tst
[ramjr]$ mount -b d:/tst /drv/d
[ramjr]$ mount
Device              Directory           Type         Flags
c:\usr\bob          /home/bob           user         binmode
C:\Cygwin           /                   system       binmode
d:\tst              /drv/d              user         binmode
[ramjr]$ ls /drv/d
[ramjr]$ touch //d/tst/new
[ramjr]$ ls /drv/d
new
[ramjr]$

The software changes the path in this case, replacing the forward slash
with a back slash (UNIX -> DOS format).  Perhaps the problem relates to
the first example, where the DOS Device name does not contain a
backslash?

> =====
> Earnie Boyd <mailto:[email-masked]>
> Cygwin Newbies, please visit
> <http://www.freeyellow.com/members5/gw32/index.html>
> __________________________________________________
> Do You Yahoo!?
> Thousands of Stores.  Millions of Products.  All in one place.
> Yahoo! Shopping: http://shopping.yahoo.com
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]